## libsisimai-perl 5.4.1

=== Makefile ===
# p5-sisimai/Makefile
#  __  __       _         __ _ _      
# |  \/  | __ _| | _____ / _(_) | ___ 
# | |\/| |/ _` | |/ / _ \ |_| | |/ _ \
# | |  | | (_| |   <  __/  _| | |  __/
# |_|  |_|\__,_|_|\_\___|_| |_|_|\___|
# -------------------------------------------------------------------------------------------------
SHELL := /bin/sh
TIME  := $(shell date '+%F')
NAME  := Sisimai
PERL  ?= $(shell which perl)
CPANM := http://cpanmin.us/
CPM   := https://git.io/cpm
WGET  := wget -c
CURL  := curl -L
CHMOD := chmod
PROVE := prove -Ilib --timer
MINIL := minil
CP    := cp
RM    := rm -f

.DEFAULT_GOAL = git-status
REPOS_TARGETS = git-status git-push git-commit-amend git-tag-list git-diff git-reset-soft \
				git-rm-cached git-branch
DEVEL_TARGETS = private-sample update-analytical-precision-table
BENCH_TARGETS = profile speed-test loc

# -------------------------------------------------------------------------------------------------
.PHONY: clean
cpanm:
	$(WGET) -O ./$@ $(CPANM) || $(CURL) -o ./$@ $(CPANM)
	test -f ./$@ && $(CHMOD) a+x ./$@

cpm:
	$(CURL) -s --compressed $(CPM) > ./$@
	test -f ./$@ && $(CHMOD) a+x ./$@

install-from-cpan:
	curl -L https://cpanmin.us | $(PERL) - -M https://cpan.metacpan.org -n $(NAME)

install-from-local: cpanm
	./cpanm --sudo . || ( make cpm && ./cpm install --sudo -v . )

test: user-test author-test
user-test:
	# Suppress warning message until v5.5.0
	$(PROVE) t/ 2> /dev/null

author-test:
	# Suppress warning message until v5.5.0
	$(PROVE) xt/ 2> /dev/null

check:
	find lib -type f -exec grep -E ' $$' {} /dev/null \;
	find lib -type f -exec grep --color -E '[)][{]' {} /dev/null \;

cover-test:
	$(shell dirname $(PERL))/perldoc -l Devel::Cover || sudo cpanm Devel::Cover
	cover -test

backup-readme:
	$(CP) ./README.md /tmp/$(NAME)-README.$(TIME).md

restore-readme:
	$(CP) /tmp/$(NAME)-README.$(TIME).md ./README.md

check-version-in-readme:
	grep cpan-v`$(PERL) -Ilib -M$(NAME) -e 'print Sisimai->version'` README.md
	grep cpan-v`$(PERL) -Ilib -M$(NAME) -e 'print Sisimai->version'` README-JA.md

release-test:
	$(CP) ChangeLog.md Changes
	$(MAKE) backup-readme
	$(MAKE) clean
	$(MINIL) test
	$(MAKE) restore-readme
	$(MAKE) check-version-in-readme

dist:
	$(CP) ChangeLog.md Changes
	$(MAKE) backup-readme
	$(MAKE) clean
	$(MINIL) dist
	$(MAKE) restore-readme
	$(MAKE) check-version-in-readme

$(REPOS_TARGETS):
	$(MAKE) -f Repository.mk $@

$(DEVEL_TARGETS):
	$(MAKE) -f Developers.mk $@

$(BENCH_TARGETS):
	$(MAKE) -f Benchmarks.mk $@

diff push branch:
	@$(MAKE) git-$@
fix-commit-message: git-commit-amend
cancel-the-latest-commit: git-reset-soft
remove-added-file: git-rm-cached

clean:
	$(MAKE) -f Repository.mk clean
	$(MAKE) -f Developers.mk clean
	$(MAKE) -f Benchmarks.mk clean

## libsisimai-perl 4.22.6

=== debian/changelog ===
libsisimai-perl (4.22.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    + Add myself to Uploaders to track the backport.

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Jun 2018 18:09:40 +0200

libsisimai-perl (4.22.6-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Update debian/tests/pkg-perl/syntax-skip. Remove dummy entry which is
    not needed anymore with autopkgtest-pkg-perl 0.45.

  [ Xavier Guimard ]
  * Remove +dfsg and Files-Excluded since version 4.22.6 has no copyright
    issues and remove related patch
  * Import upstream version 4.22.6
  * Remove spelling-errors.patch now included in upstream
  * Add set-of-emails in debian/tests/test-files

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.1.4.

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 23 May 2018 16:06:20 +0200

libsisimai-perl (4.22.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #887611)

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 04 Apr 2018 18:49:54 +0200

=== debian/control ===
Source: libsisimai-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>,
 Dominik George <natureshadow@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 10),
               libmodule-build-tiny-perl,
               perl
Build-Depends-Indep: libclass-accessor-lite-perl,
                     libjson-perl (>= 2.90)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
Homepage: https://metacpan.org/release/Sisimai

Package: libsisimai-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-lite-perl,
         libjson-perl (>= 2.90),
         perl (>= 5.21.4)
Suggests: libyaml-perl
Description: Perl module to analyze bounce mails
 Sisimai is the system formerly known as bounceHammer 4. It is a Perl module
 for analyzing bounce mails and generate structured data in a JSON format
 (YAML is also available if "YAML" module is installed on your system) from
 parsed bounce messages. Sisimai is a coined word: Sisi (the number 4 is
 pronounced "Si" in Japanese) and MAI (acronym of "Mail Analyzing Interface").

## libsisimai-perl 4.23.0

=== debian/changelog ===
libsisimai-perl (4.23.0-1) unstable; urgency=medium

  * Import upstream version 4.23.0
  * Update my id in debian/control and debian/copyright
  * Declare compliance with policy 4.2.1

 -- Xavier Guimard <yadd@debian.org>  Fri, 31 Aug 2018 20:51:03 +0200

libsisimai-perl (4.22.7-2) unstable; urgency=medium

  * Add patch to replace localtime by gmtime (Closes: #907023)
  * Declare compliance with policy 4.2.0

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 23 Aug 2018 10:48:29 +0200

libsisimai-perl (4.22.7-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Import upstream version 4.22.7
  * Declare compliance with policy 4.1.5
  * Update BSD paragraph in debian/copyright

  [ gregor herrmann ]
  * Rename debian/tests/test-files to debian/tests/pkg-perl/smoke-files.

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 21 Jul 2018 07:51:24 +0200

## libsisimai-perl 4.24.1

=== debian/changelog ===
libsisimai-perl (4.24.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:18:37 +0800

libsisimai-perl (4.24.1-1) unstable; urgency=medium

  * Import upstream version 4.24.1

 -- Xavier Guimard <yadd@debian.org>  Thu, 15 Nov 2018 06:22:16 +0100

libsisimai-perl (4.24.0-1) unstable; urgency=medium

  * Import upstream version 4.24.0

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Nov 2018 07:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libsisimai-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <x.guimard@free.fr>,
- Dominik George <natureshadow@debian.org>
+Uploaders: Xavier Guimard <yadd@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
@@ -10,7 +9,7 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl,
                      libjson-perl (>= 2.90)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
https://metacpan.org/release/Sisimai   .*/Sisimai-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libsisimai-perl 4.25.1

=== debian/changelog ===
libsisimai-perl (4.25.1-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * New upstream version 4.25.1
  * Bump compat to 12
  * Bump Standards-Version to 4.4.0

  [ gregor herrmann ]
  * Update years of upstream copyright.
  * Remove unused dversionmangle from debian/watch.

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 27 Jul 2019 10:09:37 +0530

## libsisimai-perl 4.25.2

=== debian/changelog ===
libsisimai-perl (4.25.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.25.2

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sun, 04 Aug 2019 09:12:48 +0530

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                libmodule-build-tiny-perl,
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl,
                      libjson-perl (>= 2.90)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai

## libsisimai-perl 4.25.5

=== debian/changelog ===
libsisimai-perl (4.25.5-1) unstable; urgency=medium

  * Import upstream version 4.25.5
  * Update spelling error patch
  * Declare compliance with policy 4.5.0

 -- Xavier Guimard <yadd@debian.org>  Thu, 23 Jan 2020 22:24:18 +0100

libsisimai-perl (4.25.4-1) unstable; urgency=medium

  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Import upstream version 4.25.4
  * Fix spelling error
  * Don't install bad manpages

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Dec 2019 23:03:03 +0100

libsisimai-perl (4.25.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.25.3

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 10 Sep 2019 21:11:28 +0530

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl,
                      libjson-perl (>= 2.90)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai
+Rules-Requires-Root: no
 
 Package: libsisimai-perl
 Architecture: all

=== debian/watch ===
version=3
https://metacpan.org/release/Sisimai   .*/Sisimai-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libsisimai-perl 4.25.8

=== debian/changelog ===
libsisimai-perl (4.25.8-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Import upstream version 4.25.8.
  * Update debian/upstream/metadata.
  * Update years of upstream copyright.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2020 19:14:40 +0200

libsisimai-perl (4.25.7-1) unstable; urgency=medium

  * Import upstream version 4.25.7

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 Apr 2020 13:05:58 +0200

libsisimai-perl (4.25.6-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Xavier Guimard ]
  * Import upstream version 4.25.6
  * Drop spelling error patch

 -- Xavier Guimard <yadd@debian.org>  Sat, 25 Apr 2020 09:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libmodule-build-tiny-perl,
                perl
-Build-Depends-Indep: libclass-accessor-lite-perl,
-                     libjson-perl (>= 2.90)
+Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
+                     libjson-perl (>= 2.90) <!nocheck>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git

## libsisimai-perl 4.25.10

=== debian/changelog ===
libsisimai-perl (4.25.10-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.25.10.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 Dec 2020 20:14:41 +0100

libsisimai-perl (4.25.9-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.25.9.

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Oct 2020 23:03:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
                      libjson-perl (>= 2.90) <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai

## libsisimai-perl 4.25.12

=== debian/changelog ===
libsisimai-perl (4.25.12-1) unstable; urgency=medium

  * Import upstream version 4.25.12.

 -- Yadd <yadd@debian.org>  Thu, 25 Nov 2021 14:11:40 +0100

libsisimai-perl (4.25.11-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Import upstream version 4.25.11.
  * Update years of upstream copyright.

  [ Yadd ]
  * Declare compliance with policy 4.6.0

 -- Yadd <yadd@debian.org>  Thu, 02 Sep 2021 17:57:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libsisimai-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
@@ -8,8 +8,8 @@
                libmodule-build-tiny-perl,
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
-                     libjson-perl (>= 2.90) <!nocheck>
-Standards-Version: 4.5.1
+                     libjson-perl <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai
@@ -20,8 +20,8 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          libclass-accessor-lite-perl,
-         libjson-perl (>= 2.90),
-         perl (>= 5.21.4)
+         libjson-perl,
+         perl
 Suggests: libyaml-perl
 Description: Perl module to analyze bounce mails
  Sisimai is the system formerly known as bounceHammer 4. It is a Perl module

## libsisimai-perl 4.25.14

=== debian/changelog ===
libsisimai-perl (4.25.14-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.25.14.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Aug 2022 20:20:38 +0200

libsisimai-perl (4.25.13-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.25.13.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Aug 2022 18:16:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
                      libjson-perl <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai

## libsisimai-perl 4.25.15

=== debian/changelog ===
libsisimai-perl (4.25.15-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.25.15.
  * Drop 0001-Try-to-fix-464-Test-fails-at-t-023-mail-stdin.t.patch which
    was taken from upstream.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Dec 2022 20:19:43 +0100

libsisimai-perl (4.25.14-3) unstable; urgency=medium

  * Team upload.
  * Add upstream patch fixing a test-only failure with perl >= 5.36.0-5
    due to the fix for #1016369

 -- Niko Tyni <ntyni@debian.org>  Wed, 07 Dec 2022 19:34:18 +0200

libsisimai-perl (4.25.14-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libsisimai-perl: Add :any qualifier for perl dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 16:57:36 +0000

## libsisimai-perl 4.25.16

=== debian/changelog ===
libsisimai-perl (4.25.16-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.25.16.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Jun 2023 03:27:27 +0200

## libsisimai-perl 5.0.1

=== debian/changelog ===
libsisimai-perl (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.0.1.
  * Update years of upstream copyright.
  * Mention incompatible changes in debian/NEWS.Developer.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Mar 2024 15:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
                      libjson-perl <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai
@@ -21,7 +21,7 @@
          ${perl:Depends},
          libclass-accessor-lite-perl,
          libjson-perl,
-         perl
+         perl:any
 Suggests: libyaml-perl
 Description: Perl module to analyze bounce mails
  Sisimai is the system formerly known as bounceHammer 4. It is a Perl module

## libsisimai-perl 5.0.3

=== debian/changelog ===
libsisimai-perl (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.0.3.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 May 2024 17:18:58 +0200

libsisimai-perl (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.0.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Mar 2024 00:18:01 +0100

## libsisimai-perl 5.1.0

=== debian/changelog ===
libsisimai-perl (5.1.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.1.0.
  * Mention noteworthy changes on debian/NEWS.Developer.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Jul 2024 20:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
                      libjson-perl <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai

## libsisimai-perl 5.2.0

=== debian/changelog ===
libsisimai-perl (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.2.0.
  * Update years of upstream copyright.
  * Add relevant upstream changes to debian/NEWS.Developer.
  * Declare compliance with Debian Policy 4.7.2.
  * Drop unversioned `perl` from Depends.

 -- gregor herrmann <gregoa@debian.org>  Sat, 01 Mar 2025 22:15:01 +0100

## libsisimai-perl 5.2.1

=== debian/changelog ===
libsisimai-perl (5.2.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.2.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Mar 2025 22:38:13 +0100

## libsisimai-perl 5.3.0

=== debian/changelog ===
libsisimai-perl (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.3.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Apr 2025 15:34:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                perl
 Build-Depends-Indep: libclass-accessor-lite-perl <!nocheck>,
                      libjson-perl <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
 Homepage: https://metacpan.org/release/Sisimai
@@ -20,8 +20,7 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          libclass-accessor-lite-perl,
-         libjson-perl,
-         perl:any
+         libjson-perl
 Suggests: libyaml-perl
 Description: Perl module to analyze bounce mails
  Sisimai is the system formerly known as bounceHammer 4. It is a Perl module

## libsisimai-perl 5.4.1

=== debian/changelog ===
libsisimai-perl (5.4.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.4.1.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Oct 2025 21:57:12 +0200

=== debian/control ===
Source: libsisimai-perl
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Yadd <yadd@debian.org>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
 libmodule-build-tiny-perl,
 perl,
Build-Depends-Indep:
 libclass-accessor-lite-perl <!nocheck>,
 libjson-perl <!nocheck>,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsisimai-perl.git
Homepage: https://metacpan.org/release/Sisimai

Package: libsisimai-perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libclass-accessor-lite-perl,
 libjson-perl,
Suggests:
 libyaml-perl,
Description: Perl module to analyze bounce mails
 Sisimai is the system formerly known as bounceHammer 4. It is a Perl module
 for analyzing bounce mails and generate structured data in a JSON format
 (YAML is also available if "YAML" module is installed on your system) from
 parsed bounce messages. Sisimai is a coined word: Sisi (the number 4 is
 pronounced "Si" in Japanese) and MAI (acronym of "Mail Analyzing Interface").

=== debian/watch ===
version=4
https://metacpan.org/release/Sisimai   .*/Sisimai-v?@ANY_VERSION@@ARCHIVE_EXT@$

## libsisimai-perl 5.5.0

=== debian/changelog ===
libsisimai-perl (5.5.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.5.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Dec 2025 01:17:52 +0100

## libsisimai-perl 5.6.0

=== debian/changelog ===
libsisimai-perl (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.6.0.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.7.3.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Feb 2026 00:04:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libsisimai-perl
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Yadd <yadd@debian.org>,
